import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
export declare type SpinnerProps = PropsWithMetadata<{
    /** Allows providing a custom class name to the DIV element that surrounds the text */
    className?: string;
}>;
declare const Spinner: React.ForwardRefExoticComponent<{
    /** Allows providing a custom class name to the DIV element that surrounds the text */
    className?: string | undefined;
} & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export default Spinner;
