'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var React = require('react');
var icon = require('@highlight-ui/icon');
function _interopDefaultLegacy(e) {
  return e && typeof e === 'object' && 'default' in e ? e : {
    'default': e
  };
}
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var Spinner = React__default["default"].forwardRef(function (_a, ref) {
  var className = _a.className,
    metadata = _a.metadata;
  return React__default["default"].createElement(icon.Icon, {
    name: "spinner-third",
    size: 48,
    spin: true,
    color: "icon-highlight",
    type: "solid",
    ref: ref,
    metadata: metadata,
    className: className
  });
});
exports.Spinner = Spinner;
//# sourceMappingURL=index.js.map
